package org.wso2.carbon.device.mgt.ios.beans;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.mobile.impl.ios.dto.DEPProfile;

import java.util.ArrayList;
import java.util.List;

public class DEPProfileList extends BasePaginatedResult {
    private List<DEPProfile> profiles = new ArrayList<>();

    @ApiModelProperty(value = "List of DEP Profiles returned")
    @JsonProperty("profiles")
    public List<DEPProfile> getList() {
        return profiles;
    }

    public void setList(List<DEPProfile> profiles) {
        this.profiles = profiles;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("{\n");
        sb.append("  count: ").append(getCount()).append(",\n");
        sb.append("  profiles: [").append(profiles).append("\n");
        sb.append("]}\n");
        return sb.toString();
    }
}